<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* con_environment.inc.php: last changed 21/04/2010 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$editor_rows = $sas_config['htmlarea_editor_rows'];
$editor_width = $sas_config['editor_width'];
$num_pages = $sas_config['number_pupilpages'];
$permission_array = array (
	'0700',
	'0750',
	'0755',
	'0770',
	'0777'
);

include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
print "<li>&nbsp;</li>";	//dummy menu item.
include ("interface/menuend.inc.php");

if (substr($access, 5, 1) != 1) //bit 6 off the accessrights
{
	print "<span class=\"sas_module_title\">" . $sas_lang['noaccess'] . "<br></span>";
	print "" . $sas_lang['noaccess_introduction'] . "</span><br><br>";
	include ("interface/footer.inc.php");
	exit;
}

print "<span class=\"sas_module_title\">" . $sas_lang['environment'] . "<br></span>";
print $sas_lang['environment_introduction'] . "</span><br><br>";
print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=configuration&save=environment\">";

print "<table cellspacing=\"2\" cellpadding=\"2\" bgcolor=\"#CECECE\" width=\"620\">";
print "<tr><td class=\"sas_row_color_even\">".$sas_lang['language'] . ":</td><td class=\"sas_row_color_even\" colspan=\"2\">
      <select size=\"1\" name=\"newlanguage\">\n"; // language selection

$dir_handle = @ opendir("$serverpath/languages") or die("<option selected value=\"$file\">Unable to open $path</option>");
while ($file = readdir($dir_handle))
{
	if ($file != "." && $file != "..")
	{
		if ($file == $language)
		{
			echo "<option selected value=\"$file\">$file</option>\n";
		}
		else
		{
			echo "<option value=\"$file\">$file</option>\n";
		}
	}
}
closedir($dir_handle);

print "</select>&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['language_tip'] . "\" class=\"tooltip\"></td></tr>
		<tr><td class=\"sas_row_color_even\">" . $sas_lang['date_format'] . "</td><td class=\"sas_row_color_even\">
		<input type=text size=15 class=\"textfield\" name=\"newdateformat\" value=\"$date_format\">&nbsp;<img src=\"graphics/help.gif\" 
		ONMOUSEOVER=\"popup('" . $sas_lang['date_format_tip'] . "\" class=\"tooltip\"></td>
		<td class=\"sas_row_color_even\"><b>%d-%m-%Y</b> -> 22-03-2011<br>
		<b>%m-%d-%Y</b> -> 03-22-2011<br></td></tr>";
print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['editor_width'] . "</td><td class=\"sas_row_color_even\" colspan=\"2\"> ";
print "<input type=text size=\"3\" maxlength=\"4\" class=\"textfield\" name=\"editor_width\" value=\"$editor_width\">
       &nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['editor_width_tip'] . "\" class=\"tooltip\"></td></tr>";
print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['editor_rows'] . "</td><td class=\"sas_row_color_even\" colspan=\"2\">";
print "<input type=text size=\"3\" maxlength=\"2\" class=\"textfield\" name=\"editor_rows\" value=\"$editor_rows\">
       &nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['editor_rows_tip'] . "\" class=\"tooltip\"></td></tr>";
print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['number_of_pages'] . "</td><td class=\"sas_row_color_even\" colspan=\"2\">";
print "<input type=text size=\"3\" maxlength=\"2\" class=\"textfield\" name=\"num_pages\" value=\"$num_pages\">
       &nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['number_of_pages_tip'] . "\" class=\"tooltip\"></td></tr>";

print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['file_permissions'] . "</td><td class=\"sas_row_color_even\" colspan=\"2\">";
print "<select size=\"1\" name=\"file_permissions\">\n";

foreach ($permission_array as $value)
{
	if ($sas_config['file_permissions'] == "$value")
	{
		print "<option selected value=\"$value\">$value</option>\n";
	}
	else
	{
		print "<option value=\"$value\">$value</option>\n";
	}
}

print "</select>&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['file_permissions_tip'] . "\" class=\"tooltip\"></td></tr>";
print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['allow_javascript'] . "</td><td class=\"sas_row_color_even\" colspan=\"2\"> ";   
print $sas_lang['yes'] . "&nbsp;";
	
	if ($sas_config['allow_javascript'] == 1)
	{
		print "<input type=\"radio\" value=\"1\" name=\"allow_javascript\" checked>&nbsp;";
		print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "&nbsp;";
		print "<input type=\"radio\" name=\"allow_javascript\" value=\"0\">\n";
	}
	else
	{
		print "<input type=\"radio\" value=\"1\" name=\"allow_javascript\">&nbsp;";
		print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "&nbsp;";
		print "<input type=\"radio\" name=\"allow_javascript\" value=\"0\" checked>\n";
	}
	
print "&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['allow_javascript_tip'] . "\" class=\"tooltip\"></td></tr>";
print "<tr><td class=\"sas_row_color_even\" colspan=\"3\">".$sas_lang['valid_file_extentions']."</td></tr>";
print "<tr><td class=\"sas_row_color_even\" colspan=\"3\">";

//put the valid types in an array
$valid_types = explode(",", $sas_config['valid_file_extentions']);
$i = 0 ;
$j = 0 ;

	foreach ($valid_types as $value)
	{
		print "<input type=text size=\"5\" maxlength=\"5\" class=\"textfield\" name=\"valid_types[$i]\" value=\"$value\">&nbsp;\n";
		$i++;
		$j++;
			if($j == 9)
			{
			print "<br /><br />";
			$j = 0 ;
			}
	}
	
print "<input type=\"text\" size=\"5\" maxlength=\"5\" class=\"textfield\" name=\"valid_types[$i]\">&nbsp;\n";
print "</td></tr>";
print "</table>";

print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
print "</form>";

include ("interface/footer.inc.php");
?>