<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* con_users.inc.php: last changed 19/04/2010 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['user_id']))
{
	$user_id = intval($_GET['user_id']);
}

if (IsSet ($_POST['fullname']))
{
	$fullname = sanitize($_POST['fullname'], 60, 'S');
}
if (IsSet ($_POST['username']))
{
	$username = sanitize($_POST['username'], 20, 'S');
}
if (IsSet ($_POST['password']))
{
	$password = sanitize($_POST['password'], 15, 'S');
}
if (IsSet ($_POST['email']))
{
	$email = sanitize($_POST['email'], 80, 'A');
}
if (IsSet ($_POST['editor']))
{
	$editor = intval($_POST['editor']);
}
if (IsSet ($_POST['sections']))
{
	$sections = sanitize($_POST['sections'], 80, 'S');
}

if (($sas_config[use_encryption] == 1) AND ($password != "") AND ($password != "********")) //passwords are encrypted and not blank
{
	$password = md5($password);
}
$initial = 0 ; //default
if (IsSet ($_POST['initial']))
{
	$initial = intval($_POST['initial']);
}
if (IsSet ($_POST['access_1']))
{
	$new_access = intval($_POST['access_1']) . intval($_POST['access_2']) . intval($_POST['access_3']) . intval($_POST['access_4']) . intval($_POST['access_5']) . intval($_POST['access_6']) . intval($_POST['access_7']) . intval($_POST['access_8']) . intval($_POST['access_9']) . intval($_POST['access_10']) . intval($_POST['access_11']) . intval($_POST['access_12']) . intval($_POST['access_13']) . intval($_POST['access_14']) . intval($_POST['access_15']) . intval($_POST['access_16']) . ",";
}

if (IsSet ($access_1))
{
	$new_access = "$access_1" . "$access_2" . "$access_3" . "$access_4" . "$access_5" . "$access_6" . "$access_7" . "$access_8" . "$access_9" . "$access_10" . "$access_11" . "$access_12" . "$access_13" . "$access_14" . "$access_15" . "$access_16" . ",";
}
if (IsSet ($_POST['m_access']))
{
	$m_access = $_POST['m_access'];
}

$i = 0;

while ($i < count($m_access)) //loop through the module access bits
{
	$new_access .= intval($m_access[$i]);
	$i++;
}

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 20, 'A');
}
else
{
	$modoption = "list_users";
}

include ("interface/header.inc.php");
?>
<script language="JavaScript" type="text/javascript">
function checkinput ( form )
{
    if (form.fullname.value == "") 
	{
    alert( "<?php echo $sas_lang['input_error'] ?>" );
    form.fullname.focus();
    return false ;
    }
    if (form.username.value == "") 
	{
    alert( "<?php echo $sas_lang['input_error'] ?>" );
    form.username.focus();
    return false ;
    }
    if (form.password.value == "") 
	{
    alert( "<?php echo $sas_lang['input_error'] ?>" );
    form.password.focus();
    return false ;
    }
    if (form.password.value.length < 4) 
	{
    alert( "<?php echo $sas_lang['password_length_error'] ?>" );
    form.password.focus();
    return false ;
    }
  return true ;
}

function selectRadioValues(value,theElements) 
{
	//Programmed by Shawn Olson
	//Copyright (c) 2007
	//Permission to use this function provided that it always includes this credit text
	//http://www.shawnolson.net

	//theElements is an array of objects designated as a comma separated list of their IDs
    //All Radio inputs with a value matching value will be selected inside theElements

    var formElements = theElements.split(',');
	for(var z=0; z<formElements.length;z++)
	{
		theItem = document.getElementById(formElements[z]);
		if(theItem)
		{
		theInputs = theItem.getElementsByTagName('input');
			for(var y=0; y<theInputs.length; y++)
			{
				if(theInputs[y].type == 'radio')
				{
					theName = theInputs[y].name;
					if(theInputs[y].value==value)
					{
						theInputs[y].checked='checked';
					}
				}
			}
		}
    }
}
</script>
<?php
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
print "<li>&nbsp;</li>";	//dummy menu item.
include ("interface/menuend.inc.php");

if (substr("$access", 6, 1) != 1) //bit 7 off the accessrights
{
	print "<span class=\"sas_module_title\">" . $sas_lang['noaccess'] . "<br></span>";
	print "" . $sas_lang['noaccess_introduction'] . "</span><br><br><br>";
	include ("interface/footer.inc.php");
	exit;
}

print "<span class=\"sas_module_title\">" . $sas_lang['users'] . "<br></span>";

switch ($modoption) // start of switch
{
	case delete_user :
	
		$result = mysqli_query($db,"SELECT username from $table_users WHERE id = '".$user_id."'");
		$username_to_delete = mysqli_result($result, 0);
		$result = mysqli_query($db,"SELECT username FROM $table_users WHERE id = '$_SESSION[userid]'");
		$user_loggedin = mysqli_result($result, 0);
		if ($user_loggedin != $username_to_delete)
		{
			mysqli_query($db,"DELETE from $table_users WHERE id = '".$user_id."' LIMIT 1");
		}
		else
		{
			print "<script language=\"Javascript\">
						   <!--
						   alert (\"" . $sas_lang['user_delete_error'] . "\")
						   //-->
						   </script>";
		}
		print "<script language='javascript'>window.location = 'index.php?option=configuration&suboption=users'</script>";
		
	break;
	
	case save_user :
		
		if ($user_id == 0)
		{
			$query = mysqli_query($db,"SELECT username FROM $table_users WHERE username = '".$username."'");
			$results = mysqli_num_rows($query);
	
			if ($results != '0') //username already exists, give error   
			{
				print "<script language=\"Javascript\">
							   <!--
							   alert (\"" . $sas_lang['student_name_exists'] . "\");
							   history.go(-1) ;
							   //-->
							   </script>";
			}
			else
			{
				mysqli_query($db,"INSERT INTO $table_users (name, username, password, email, access, editor, type, sections, initial) 
										 VALUES ('$fullname', '$username',  '$password',  '$email', '$new_access', '$editor', '20', '$sections', '$initial')");
			}
		}
		else
		{
			$query = mysqli_query($db,"SELECT username FROM $table_users WHERE username = '".$username."' AND id != '".$user_id."'");
			$results = mysqli_num_rows($query);
			if ($results != '0') //an other user with this username exists, give error
			{
				print "<script language=\"Javascript\">
							   <!--
							   alert (\"" . $sas_lang['student_name_exists'] . "\");
							   window.location = 'index.php?option=configuration&suboption=users&user_id=$user_id' ;	
							   //-->
							   </script>"; //return to the user edit window.
			}
			else
			{
				mysqli_query($db,"UPDATE $table_users SET name = '$fullname' , 
								username = '$username' , 
								email = '$email' , 
								access = '$new_access',
								editor = '$editor',
								sections = '$sections',
								initial = '$initial'
								WHERE id = '".$user_id."'");

				if (($password != "") AND ($password != "********")) //only save password when not empty.
				{
					mysqli_query($db,"UPDATE $table_users SET password = '$password', invalid_logins = 0 WHERE id = '".$user_id."'");
				}
			}
			//we are changing the current logged in user, change the access in session
			if($_SESSION['userid'] == $user_id)	
			{
				$_SESSION['access'] = $new_access ;
			}
		}
		print "<script language='javascript'>window.location = 'index.php?option=configuration&suboption=users'</script>";
		
	break;
	
	case delete_user :
		
		$result = mysqli_query($db,"SELECT username from $table_users WHERE id = '".$user_id."'");
		$username_to_delete = mysqli_result($result, 0);
		$result = mysqli_query($db,"SELECT username FROM $table_users WHERE id = '$_SESSION[userid]'");
		$user_loggedin = mysqli_result($result, 0);
		if ($user_loggedin != $username_to_delete)
		{
			mysqli_query($db,"DELETE from $table_users WHERE id = '".$user_id."' LIMIT 1");
		}
		else
		{
			print "<script language=\"Javascript\">
						   <!--
						   alert (\"" . $sas_lang['user_delete_error'] . "\")
						   //-->
						   </script>";
		}
		//return to the users  list
		print "<script language='javascript'>window.location = 'index.php?option=configuration&suboption=users'</script>";
		
	break;
	
	case add_user :
		
		$query2 = "SELECT id, name FROM $table_sections ";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
		$table_prot = $dbprefix . "prot_sections";
		$query3 = "SELECT id, name FROM $table_prot ORDER BY sort";
		$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
		
		print "" . $sas_lang['newuser_introduction'] . "</span><br><br>";
		print "<form name=\"theForm\" id=\"theForm\" METHOD=\"POST\" ACTION=\"index.php?option=configuration&suboption=users&modoption=save_user&user_id=0\" onsubmit=\"return checkinput(this);\">";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"720\" bgcolor=\"#CECECE\"><tr><td class=\"sas_row_color_even\">
			   " . $sas_lang['fullname'] . ": (*)</span></td>
			   <td class=\"sas_row_color_even\"><input type=\"text\" name=\"fullname\" size=\"40\" class=\"textfield\">&nbsp;
			   <img src=\"graphics/help.gif\" title=\"" . $sas_lang['fullname_tip'] . "\" class=\"tooltip\"></td>
			   <td rowspan=\"8\" valign=\"top\" class=\"sas_row_color_even\">";
		print "<table border=\"0\"><tr><td>&nbsp;</td><td><b>SyndeoCMS " . $sas_lang['section'] . ":</b></span></td></tr>\n";
		while ($section_list = mysqli_fetch_array($result2))
		{
			print "<tr><td>$section_list[0]</span></td><td>$section_list[1]</span></td></tr>\n";
		}
		print "<tr><td>&nbsp;</td><td><b>" . $sas_lang['protected_area'] . " " . $sas_lang['section'] . ":</b></span></td></tr>\n";
		while ($section_list = mysqli_fetch_array($result3))
		{
			print "<tr><td>P$section_list[0]</span></td><td>$section_list[1]</span></td></tr>\n";
		}
		print "</table>\n";
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['username'] . ": (*)</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" name=\"username\" size=\"20\" class=\"textfield\">&nbsp;
				<img src=\"graphics/help.gif\" title=\"" . $sas_lang['username_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['password'] . ": (*)</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" name=\"password\" size=\"20\" class=\"textfield\">&nbsp;
				<img src=\"graphics/help.gif\" title=\"" . $sas_lang['password_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['email'] . ":</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" name=\"email\" size=\"40\" class=\"textfield\">&nbsp;
				<img src=\"graphics/help.gif\" title=\"" . $sas_lang['email_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['editor'] . ":</td>
			   <td class=\"sas_row_color_even\"><select size=\"1\" name=\"editor\">"; // WYSIWYG editor selection
		$query = "SELECT id, name FROM $table_editors";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		while ($editor_list = mysqli_fetch_array($result))
		{
			if ($editor_list[0] == $_SESSION['editor'])
			{
				print "<option selected value=\"$editor_list[0]\">$editor_list[1]</option>\n";
			}
			else
			{
				print "<option value=\"$editor_list[0]\">$editor_list[1]</option>\n";
			}
		}
	
		print "</select>&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['editor_tip'] . "\" class=\"tooltip\"></td></tr>";
	
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\"><b>" . $sas_lang['change_password_at_next_logon'] . ":</b>&nbsp;
			   <input type=\"checkbox\" value=\"1\" name=\"initial\" checked></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['alert_sections'] . ": </td>
			   <td class=\"sas_row_color_even\"><input type=\"text\" name=\"sections\" size=\"20\" value=\"$sections\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['sections_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\"><span class=\"sas_module_lbl2\">" . $sas_lang['required_fields'] . "</span></td></tr>";
		print "</table>";
	
		print "<br><table border=\"0\">
		<tr><td>" . $sas_lang['accessrights'] . ":</span></td><td>&nbsp;</td><td>" . $sas_lang['installed_modules'] . "</span></td></tr>
		<tr><td valign=\"top\"><table border=\"0\">
		<tr bgcolor=\"E7E7EF\">
		  <td>" . $sas_lang['filemanager'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_1\" ></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_1\" checked></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['pagemanager'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_2\"></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_2\" checked></td>
		</tr>
		<tr bgcolor=\"E7E7EF\">
		  <td>" . $sas_lang['protected_area'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_13\"></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_13\" checked></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['modulemanager'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_3\"></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_3\" checked></td>
		</tr>
		<tr bgcolor=\"E7E7EF\">
		  <td>" . $sas_lang['stats'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_4\"></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_4\" checked></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['configuration2'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_5\"></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_5\" checked></td>
		</tr>
		<tr bgcolor=\"E7E7EF\">
		  <td>" . $sas_lang['environment'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_6\"></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_6\" checked></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['users'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_7\"></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_7\" checked></td>
		</tr>
		<tr bgcolor=\"E7E7EF\">
		  <td>" . $sas_lang['teachers'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_8\"></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_8\" checked></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['students'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_9\"></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_9\" checked></td>
		</tr>
		<tr bgcolor=\"E7E7EF\">
		  <td>" . $sas_lang['student_projects'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_16\"></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_16\" checked></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['alerts'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_10\"></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_10\" checked></td>
		</tr>
		<tr bgcolor=\"E7E7EF\">
		  <td>" . $sas_lang['database_backup'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_11\"></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_11\" checked></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['translation'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_12\"></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_12\" checked></td>
		</tr>
		<tr bgcolor=\"E7E7EF\">
		  <td>" . $sas_lang['replace_tool'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_14\"></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_14\" checked></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['logging'] . "&nbsp;&nbsp;</span></td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_15\"></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_15\" checked></td>
		</tr>
		</table>";
	
		$query = "SELECT id,name FROM $table_modules ORDER BY name"; //get all installed modules names               
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$bgcolor = "#E7E7EF";
		print "<td width=\"25\">&nbsp;</td><td valign=\"top\">             
			   <table border=\"0\">";
		
		while ($module_list = mysqli_fetch_array($result))
		{
			$i = $module_list[0] - 1;
			print "<tr bgcolor=\"$bgcolor\"><td>$module_list[1]&nbsp;&nbsp;</span></td>
				   <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"m_access[$i]\"></td>";
	
			print "<td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"m_access[$i]\" checked></td>
				   </tr>";
			
			if ($bgcolor == "#FFFFFF")
			{
				$bgcolor = "#E7E7EF";
			}
			else
			{
				$bgcolor = "#FFFFFF";
			}
		}
		print "</table>
			   </td></tr><tr><td colspan=\"2\">&nbsp;</td>
				<td><<a href=\"javascript:selectRadioValues(1,'theForm')\">".$sas_lang['all_yes']."</a>>
				&nbsp;<<a href=\"javascript:selectRadioValues(0,'theForm')\">".$sas_lang['all_no']."</a>></td></tr></table>";
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration&suboption=users'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;
	
	case edit_user:
	
		$query = "SELECT name, email, username, password, editor, access, sections FROM $table_users WHERE id = '".$user_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$fullname = mysqli_result($result, 0, 0);
		$email = mysqli_result($result, 0, 1);
		$username = mysqli_result($result, 0, 2);
		$password = mysqli_result($result, 0, 3);
		$usereditor = mysqli_result($result, 0, 4);
		$user_access = mysqli_result($result, 0, 5);
		$sections = mysqli_result($result, 0, 6);
		unset ($query);
		unset ($result);
		
		$query2 = "SELECT id, name FROM $table_sections ";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
		$table_prot = $dbprefix . "prot_sections";
		$query3 = "SELECT id, name FROM $table_prot ORDER BY sort";
		$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
	
		$m_access = substr($user_access, strrpos($user_access, ',') + 1); //access bits module after comma
		$user_access = preg_split('//', $user_access, -1, PREG_SPLIT_NO_EMPTY); //access bits SyndeoCMS
		$m_access = preg_split('//', $m_access, -1, PREG_SPLIT_NO_EMPTY); //access bits modules
	
		print "" . $sas_lang['modifyuser_introduction'] . "<br><br></span>";
		print "<form name=\"theForm\" id=\"theForm\" METHOD=\"POST\" ACTION=\"index.php?option=configuration&suboption=users&modoption=save_user&user_id=" . $user_id . "\" onsubmit=\"return checkinput(this);\">";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"720\" bgcolor=\"#CECECE\"><tr><td class=\"sas_row_color_even\">
			   " . $sas_lang['fullname'] . ":</td>
			   <td class=\"sas_row_color_even\"><input type=\"text\" name=\"fullname\" size=\"40\" value=\"$fullname\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['fullname_tip'] . "\" class=\"tooltip\"></td>
			   <td rowspan=\"7\" valign=\"top\" class=\"sas_row_color_even\">";
		print "<table border=\"0\"><tr><td>&nbsp;</td><td><b>SyndeoCMS " . $sas_lang['section'] . ":</b></td></tr>\n";
		while ($section_list = mysqli_fetch_array($result2))
		{
			print "<tr><td>$section_list[0]</td><td>$section_list[1]</td></tr>\n";
		}
		print "<tr><td>&nbsp;</td><td><b>" . $sas_lang['protected_area'] . " " . $sas_lang['section'] . ":</b></td></tr>\n";
		while ($section_list = mysqli_fetch_array($result3))
		{
			print "<tr><td>P$section_list[0]</td><td>$section_list[1]</td></tr>\n";
		}
		print "</table>\n";
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['username'] . ": </td>
			   <td class=\"sas_row_color_even\"><input type=\"text\" name=\"username\" size=\"20\" value=\"$username\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['username_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['password'] . ": </td>";
		if ($sas_config[use_encryption] == 1) //passwords are encrypted
		{
			print "<td class=\"sas_row_color_even\"><input type=\"text\" name=\"password\" size=\"20\" class=\"textfield\" value=\"********\">&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['password_tip'] . "\" class=\"tooltip\"></td></tr>";
		}
		else
		{
			print "<td class=\"sas_row_color_even\"><input type=\"text\" name=\"password\" size=\"20\" value=\"$password\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['password_tip'] . "\" class=\"tooltip\"></td></tr>";
		}
		print "<td class=\"sas_row_color_even\">" . $sas_lang['email'] . ": </td>
			   <td class=\"sas_row_color_even\"><input type=\"text\" name=\"email\" size=\"40\" value=\"$email\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['email_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<td class=\"sas_row_color_even\">" . $sas_lang['editor'] . ": </td>
			  <td class=\"sas_row_color_even\"><select size=\"1\" name=\"editor\">"; // WYSIWYG editor selection
	
		$query = "SELECT id, name FROM $table_editors";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		while ($editor_list = mysqli_fetch_array($result))
		{
			if ($editor_list[0] == $usereditor)
			{
				print "<option selected value=\"$editor_list[0]\">$editor_list[1]</option>\n";
			}
			else
			{
				print "<option value=\"$editor_list[0]\">$editor_list[1]</option>\n";
			}
		}
	
		print "</span></select>&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['editor_tip'] . "\" class=\"tooltip\"></td></tr>";
	
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['alert_sections'] . ": </td>
			   <td class=\"sas_row_color_even\"><input type=\"text\" name=\"sections\" size=\"20\" value=\"$sections\" class=\"textfield\">&nbsp;<img src=\"graphics/help.gif\" title=\"" . $sas_lang['sections_tip'] . "\" class=\"tooltip\"></td></tr>";
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\"><b>" . $sas_lang['change_password_at_next_logon'] . ":</b>&nbsp;
			   <input type=\"checkbox\" value=\"1\" name=\"initial\"></td></tr>";
		print "</table>";
		print "<br><table border=\"0\">
			  <tr><td>" . $sas_lang['accessrights'] . ":</td><td>&nbsp;</td><td>" . $sas_lang['installed_modules'] . "</td></tr>
			  <tr><td valign=\"top\">
			  <table border=\"0\">
			  <tr bgcolor=\"E7E7EF\">
			  <td>" . $sas_lang['filemanager'] . "&nbsp;&nbsp;</td>
			  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_1\"";
		if ($user_access[0] == "1")
			print " checked";
		print ">";
		print "</td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_1\"";
		if ($user_access[0] == "0")
			print " checked";
		print "></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['pagemanager'] . "&nbsp;&nbsp;</td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_2\"";
		if ($user_access[1] == "1")
			print " checked";
		print "></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_2\"";
		if ($user_access[1] == "0")
			print " checked";
		print "></td>
		</tr>
		<tr bgcolor=\"E7E7EF\">
		  <td>" . $sas_lang['protected_area'] . "&nbsp;&nbsp;</td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_13\"";
		if ($user_access[12] == "1")
			print " checked";
		print "></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_13\"";
		if ($user_access[12] == "0")
			print " checked";
		print "></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['modulemanager'] . "&nbsp;&nbsp;</td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_3\"";
		if ($user_access[2] == "1")
			print " checked";
		print "></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_3\"";
		if ($user_access[2] == "0")
			print " checked";
		print "></td>
		</tr>
		<tr bgcolor=\"E7E7EF\">
		  <td>" . $sas_lang['stats'] . "&nbsp;&nbsp;</td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_4\"";
		if ($user_access[3] == "1")
			print " checked";
		print "></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_4\"";
		if ($user_access[3] == "0")
			print " checked";
		print "></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['configuration2'] . "&nbsp;&nbsp;</td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_5\"";
		if ($user_access[4] == "1")
			print " checked";
		print "></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_5\"";
		if ($user_access[4] == "0")
			print " checked";
		print "></td>
		</tr>
		<tr bgcolor=\"E7E7EF\">
		  <td>" . $sas_lang['environment'] . "&nbsp;&nbsp;</td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_6\"";
		if ($user_access[5] == "1")
			print " checked";
		print "></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_6\"";
		if ($user_access[5] == "0")
			print " checked";
		print "></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['users'] . "&nbsp;&nbsp;</td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_7\"";
		if ($user_access[6] == "1")
			print " checked";
		print "></td>
		<td>
		" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_7\"";
		if ($user_access[6] == "0")
			print " checked";
		print "></td>
		</tr>
		<tr bgcolor=\"E7E7EF\">
		  <td>" . $sas_lang['teachers'] . "&nbsp;&nbsp;</td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_8\"";
		if ($user_access[7] == "1")
			print " checked";
		print "></td>
		<td>
		" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_8\"";
		if ($user_access[7] == "0")
			print " checked";
		print "></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['students'] . "&nbsp;&nbsp;</td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_9\"";
		if ($user_access[8] == "1")
			print " checked";
		print "></td>
		<td>
		" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_9\"";
		if ($user_access[8] == "0")
			print " checked";
		print "></td>
		</tr>
		<tr bgcolor=\"E7E7EF\">
		  <td>" . $sas_lang['student_projects'] . "&nbsp;&nbsp;</td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_16\"";
		if ($user_access[15] == "1")
			print " checked";
		print "></td>
		<td>
		" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_16\"";
		if ($user_access[15] == "0")
			print " checked";
		print "></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['alerts'] . "&nbsp;&nbsp;</td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_10\"";
		if ($user_access[9] == "1")
			print " checked";
		print "></td>
		<td>
		" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_10\"";
		if ($user_access[9] == "0")
			print " checked";
		print "></td>
		</tr>
		<tr bgcolor=\"E7E7EF\">
		  <td>" . $sas_lang['database_backup'] . "&nbsp;&nbsp;</td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_11\"";
		if ($user_access[10] == "1")
			print " checked";
		print "></td>
		<td>
		" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_11\"";
		if ($user_access[10] == "0")
			print " checked";
		print "></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['translation'] . "&nbsp;&nbsp;</td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_12\"";
		if ($user_access[11] == "1")
			print " checked";
		print "></td>
		  <td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_12\"";
		if ($user_access[11] == "0")
			print " checked";
		print "></td>
		</tr>
		<tr bgcolor=\"E7E7EF\">
		  <td>" . $sas_lang['replace_tool'] . "&nbsp;&nbsp;</td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_14\"";
		if ($user_access[13] == "1")
			print " checked";
		print "></td>
		<td>
		" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_14\"";
		if ($user_access[13] == "0")
			print " checked";
		print "></td>
		</tr>
		<tr>
		  <td>" . $sas_lang['logging'] . "&nbsp;&nbsp;</td>
		  <td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"access_15\"";
		if ($user_access[14] == "1")
			print " checked";
		print "></td>
		<td>
		" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"access_15\"";
		if ($user_access[14] == "0")
			print " checked";
		print "></td>
		</tr>
		</table></td>";
	
		$query = "SELECT id, name FROM $table_modules ORDER BY name"; //get all installed modules names               
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$bgcolor = "#E7E7EF";
		print "<td width=\"25\">&nbsp;</td><td valign=\"top\">             
			   <table border=\"0\">";
			   
		while ($module_list = mysqli_fetch_array($result))
		{
			$i = $module_list[0] - 1;
			print "<tr bgcolor=\"$bgcolor\"><td>$module_list[1]&nbsp;&nbsp;</td>
					<td>" . $sas_lang['yes'] . "<input type=\"radio\" value=\"1\" name=\"m_access[$i]\"";
			if ($m_access[$i] == "1")
				print " checked";
			print "></td>";
	
			print "<td>" . $sas_lang['no'] . "<input type=\"radio\" value=\"0\" name=\"m_access[$i]\" ";
			if (($m_access[$i] == "0") or ($m_access[$i] == ""))
				print " checked";
			print "></td>
						   </tr>";

			if ($bgcolor == "#FFFFFF")
			{
				$bgcolor = "#E7E7EF";
			}
			else
			{
				$bgcolor = "#FFFFFF";
			}
		}
		print "</table>
			   </td></tr><tr><td colspan=\"2\">&nbsp;</td>
				<td><<a href=\"javascript:selectRadioValues(1,'theForm')\">".$sas_lang['all_yes']."</a>>
				&nbsp;<<a href=\"javascript:selectRadioValues(0,'theForm')\">".$sas_lang['all_no']."</a>></td></tr></table>";
	
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration&suboption=users'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;
	
	case save_copy_user :
		
		$result = mysqli_query($db,"SELECT access, editor, sections FROM $table_users WHERE id = '".$username."'");
		$user_list = mysqli_fetch_array($result);
		mysqli_query($db,"INSERT INTO $table_users (access, editor, type, sections) 
					VALUES ('$user_list[0]', '$user_list[1]', '20', '$user_list[2]')");
		$user_id = mysqli_insert_id($db);
		print "<script language='javascript'>window.location = 'index.php?option=configuration&suboption=users&modoption=edit_user&user_id=$user_id'</script>";
		
	break;
	
	
	case copy_user :
		
		print $sas_lang['copyuser_introduction'] . "<br><br>";
		print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=configuration&suboption=users&modoption=save_copy_user\" onsubmit=\"return checkinput(this);\">";
	
		$query = "SELECT id, name FROM $table_users WHERE type > 19 ORDER BY name";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		print "<select class=\"text\" name=\"username\">\n";
		while ($users_list = mysqli_fetch_array($result))
		{
			print "<option value=\"$users_list[0]\">$users_list[1]</option>\n";
		}
		print "</select>\n<p><button onclick=\"javascript:parent.location='index.php?option=configuration&suboption=users'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['copyuser']."</span></em></button>";
		print "</form>";
		
	break;
	
	case list_users :
		
		print $sas_lang['users_introduction'] . "<br><br><br>";
		print "<table>";
	
		$query = "SELECT id, name, invalid_logins FROM $table_users WHERE type > 19 ORDER BY name";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		while ($users_list = mysqli_fetch_array($result))
		{
			$revoke = "";
			if($users_list[2] > 9)
			{
				$revoke = "<img src=\"graphics/locked.gif\" alt=\"".$sas_lang['user_revoked']."\" title=\"".$sas_lang['user_revoked']."\"\>";
			}
			print "<tr><td height=\"18\">";
			print "<a href=\"index.php?option=configuration&suboption=users&modoption=delete_user&user_id=$users_list[0]\" onClick=\"return confirm('" . $sas_lang['deleteuser_confirmation'] . "')\">
				<img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  ></a>";
	
			print "</td><td>";
			print "<a href=\"index.php?option=configuration&suboption=users&modoption=edit_user&user_id=$users_list[0]\">
					<img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  >
					 $users_list[1]</a> $revoke</span>";
	
			print "</td></tr>";
		}
		print "<tr>
				   <td height=\"18\" colspan=\"2\">&nbsp;</td></tr>
				<tr>
				   <td height=\"18\">&nbsp;</td>
					  <td><img src=\"graphics/add.gif\" alt=\"" . $sas_lang['newuser'] . "\">
					  <a href=\"index.php?option=configuration&suboption=users&modoption=add_user&user_id=0\">" . $sas_lang['newuser'] . "</a></span>&nbsp;&nbsp;
					  <img src=\"graphics/add.gif\" alt=\"" . $sas_lang['copyuser'] . "\">
					  <a href=index.php?option=configuration&suboption=users&modoption=copy_user>" . $sas_lang['copyuser'] . "</a></span>
					  </td>
				</tr>";
		print "</table>";
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=configuration'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		
	break;

}
include ("interface/footer.inc.php");
?>