<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.5.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Sitemap : 
* view_sitemap_date.php: last changed 03/01/2007 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
$query = "SELECT id, name, frontpage, invisible FROM $table_sections WHERE parent = '' AND invisible != 'yes' ORDER BY sort";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 

load_language($cmsdir . '/', 'sn_sitemap'); //load language file


if (!empty ($sas_config['sitemap_welcome_text']))
{
	print "<span class=\"sas_module_title\">" . $sas_config['sitemap_welcome_text'] . "</span><br/><br/>\n";
}

while ($section_list = mysqli_fetch_array($result))
{
	$i = 1;
	print "<a href=\"index.php?section=$section_list[0]\" class=\"sas_module_link\">$section_list[1]</a>\n";

	$query1 = "SELECT id, category FROM $table_pages WHERE section = '$section_list[0]' GROUP BY category"; // getting catlist
	$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query1 . '".',E_USER_WARNING); 

	while ($cat_list = mysqli_fetch_array($result1)) //loop through categories
	{
		$category1 = addslashes($cat_list[1]); //add slashes for the query

		if (!empty ($cat_list[1])) //only display when categrory has no blanks
		{
			if ($i == 1)
			{
				print "<ul>";
			} //only print the first time
			$i++;
			print "<li><span class=\"sas_module_subtitle\">$cat_list[1]</span></li>\n";
		}

		$query2 = "SELECT id, name, module, invisible, UNIX_TIMESTAMP(lastupdate) FROM $table_pages 
					WHERE category = '$category1' and section = '$section_list[0]' AND invisible != 'yes' ORDER BY sort";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query2 . '".',E_USER_WARNING); 

		print "<ul>";
		while ($page_list = mysqli_fetch_array($result2))
		{
			$date = strftime($sas_config[dateformat], $page_list[4]);

			if (substr($page_list[2], 0, 5) == "http:")
			{
				print "<li><a href=\"$page_list[2]\" target=\"_blank\" class=\"sas_module_link\">$page_list[1]</a></li>\n";
			}
			else
			{
				print "<li><a href=\"index.php?section=$section_list[0]&amp;page=$page_list[0]\" class=\"sas_module_link\">$page_list[1]</a>\n";
			}
			print "<span class=\"sas_module_lbl2\">&nbsp; - &nbsp;($date)</span></li>\n";
		}

		print "</ul>";

	}
	if ($i > 1)
	{
		print "</ul>";
	}
	if ($i == 1)
	{
		print "<br/>";
	}
}
?>
