<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.8.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* class pages module : 
*  teacher_page.php: last changed 16/03/2009  by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
include($cmsdir."/modules/sn_studentpages/functions.inc.php") ;

if (IsSet ($_GET['page_id']))
{
	$page_id = sanitize($_GET['page_id'], 5, 'I');
}
if (IsSet ($_GET['class_id']))
{
	$class_id = sanitize($_GET['class_id'], 5, 'I');
}

if (!IsSet ($page_id))
{

	$query = "SELECT dir_number, count(studentid) FROM $table_studentpages s
				LEFT JOIN $table_users u ON s.dir_number = u.id
				WHERE content != '' AND (pcheck = 1 OR pcheck = 2) GROUP BY dir_number";
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query . '".',E_USER_WARNING); 

	while ($page_list = mysqli_fetch_array($result)) 
	{
		$page_count[$page_list[0]] = intval($page_list[1]);
	}

	$max_cols = max($page_count); 

	$k = $max_cols * 2 + 1 ;

	print "<span class=\"sas_module_title\">" . $sas_lang['teacher_pages'] . ":</span><br/>";

	print "<table class=\"sas_module_table\"><tr><td colspan=\"$k\">&nbsp;</td></tr>";
	
	$query1 = "SELECT id, name, class FROM $table_users WHERE (type = 2 OR type = 22) ORDER BY name";
	$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query1 . '".',E_USER_WARNING); 

	while ($student_list = mysqli_fetch_array($result1)) //list the teachers
	{
		$query2 = "SELECT studentid, title, dir_number, class FROM $table_studentpages s
					LEFT JOIN $table_users u ON s.dir_number = u.id
					WHERE dir_number='$student_list[0]' AND content != '' AND (pcheck = 1 OR pcheck = 2) ORDER BY sort";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br/>Query : "' . $query2 . '".',E_USER_WARNING); 
		$num_rows = mysqli_num_rows($result2);
		
		if ($num_rows > 0)
		{
			if ($row_class == "sas_row_color_odd")
			{
				$row_class = "sas_row_color_even";
			}
			else
			{
				$row_class = "sas_row_color_odd";
			}
			print "<tr class=\"$row_class\">
					<td><span class=\"sas_module_lbl1\">$student_list[1]</span></td>";
			
			while ($page_list = mysqli_fetch_array($result2))
			{
				print "<td valign=\"top\"><a href=\"index.php?section=$section&amp;page=$page&amp;page_id=$page_list[0]&amp;class_id=$page_list[3]\">$page_list[1]</a></td>";
			}
			if($num_rows < $max_cols)
			{
				$count = $max_cols - $num_rows;
				for ($k = 1; $k <= $count; $k++) 
				{
					print "<td>&nbsp;</td><td>&nbsp;</td>";
				}
				
			}
			print "</tr>";
		}
	}
	print "</table>";
}
else
{
	$sort = " sort";	//sort by the sort field
	display_page($page_id, $class_id, 0) ;
	
}
?>