<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<?php
if ( !defined('IN_SAS') )
{
	die("Hacking attempt");
}

include( "$cmsdir/themes/". $themelocation ."/template_functions.inc.php");
$resource_path = "$cmsdir/media/template_images/$themelocation" ;

//get the page ids for special pages, used in links
//0=Contact: 1=Documenten: 2=Fotoalbum: 3=Kalender 4=Login: 5=Nieuwsitems: 6=Nieuwsbrieven 7=zoeken
$public_page_id = explode(",", $sas_config['public_page_numbers']);
$week_num = date('W');
?>
<head>

<title><?php echo $sitename ." &#187; ". $sectiontitle ." &#187; ". $pagetitle ?></title>

<meta name='description' content='<?php echo htmlentities($sas_config['meta_description'], ENT_QUOTES) ?>' />
<meta name='keywords' content='<?php echo htmlentities($sas_config['meta_keywords'], ENT_QUOTES) ?>' />
<meta name='robots' content='index,follow,archive' />
<link rel="icon" href="<?php echo $sas_config['url'] ?><?php echo $resource_path ?>/favicon.ico" type="image/x-icon" />
<link rel="shortcut icon" href="<?php echo $sas_config['url'] ?><?php echo $resource_path ?>/favicon.ico" type="image/x-icon" /> 

<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $sas_lang['lang_charset']?>" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="Language" content="nl" />
<meta http-equiv="imagetoolbar" content="no" />

<meta name="robots" content="all" />
<meta name="MSSmartTagsPreventParsing" content="true" />

<style>
body {
	<?php show_background(); ?>
	<?php print "background-color: #". $sas_config['template_background_color'] . ";\n"; ?>
}
#slide_container{
	background-image: url(<?php echo $sas_config['slider_background']; ?>);
}
#pageslide {
    /* These styles MUST be included. Do not change. */
    display: none;
    position: absolute;
    position: fixed;
    top: 0;
    height: 100%;
	width: 360px;
    z-index: 999999;
}
</style>
<link rel="stylesheet" href="<?php echo $sas_config['url']. $cmsdir ?>/themes/<?php echo $themelocation ?>/style.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $sas_config['url'] ?>starnet/style.php?type=H" type="text/css" />

<!-- load webfonts from a mysql table dynamically-->
<?php template_load_webfonts(); ?>

<script type='text/javascript' src='starnet/interface/jquery/jquery.js'></script>

<?php
if( file_exists($cmsdir."/core/css.php"))
{
	//see if there is module loaded and get its CSS definition from modules table.
	include($cmsdir."/core/css.php");
}
$height = $sas_config['htmlarea_editor_rows'] * 20 + 235;

if(($page == $frontpage) AND ($section == $sas_config['startsection']))
{
?>
<script type="text/javascript" src="starnet/interface/jquery/easySlider1.7.js"></script>
<!-- slideshow and slider initialize -->
<script type="text/javascript"> 
	$(function() {
	
		$("#slideshow > div:gt(0)").hide();

		setInterval(function() { 
		  $('#slideshow > div:first')
			.fadeOut(1000)
			.next()
			.fadeIn(1000)
			.end()
			.appendTo('#slideshow');
		},  5000);
		
	});

	$(document).ready(function(){	
		$("#slider").easySlider({
			auto: <?php echo $sas_config['slider_continuous']; ?>,
			continuous: true, 
			speed: <?php echo $sas_config['slider_speed']; ?>,
			pause: <?php echo $sas_config['slider_pause']; ?>,
			vertical: <?php echo $sas_config['slider_vertical']; ?>
		});
	});
</script>
<?php
}
?>
<script type="text/javascript">
function NewWindow (link) 
{
var win_left = (screen.width - 800) / 2;
var win_top = (screen.height - <?php echo $height ?>) / 2;
  window1 = window.open(link, "Site_editor", "width=800,height=<?php echo $height ?>,resizable=yes,scrollbars=no");
  window1.moveTo(win_left,win_top)
  window1.focus();
}
function submitenter(myfield,e)
{
var keycode;
if (window.event) keycode = window.event.keyCode;
else if (e) keycode = e.which;
else return true;

if (keycode == 13)
{
   myfield.form.submit();
   return false;
}
else
   return true;
}
</script>
</head>
<body>

<?php
if ($sas_config['template_show_leftright'] == "1")
{
	print "<a href=\"javascript:$.pageslide({ direction: 'right', href: '$resource_path/_left.php' })\" class=\"btn-pageslide\">Contact</a>";
	print "<a href=\"javascript:$.pageslide({ direction: 'left', href: '$resource_path/_right.php' })\" class=\"btn-pageslide2\">Inloggen</a>";
}
//get Logo, Columns, Subheader and Footer for startpage
$query = "SELECT p.id, p.content FROM $table_pages p LEFT JOIN $table_sections s ON s.id = p.section WHERE s.id = 99";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
if(mysqli_num_rows($result) > 0) 
{
	//put it an array with the key of the pagename
	while ($row = mysqli_fetch_array($result))
	{
		$key = $row['id'] ;
		$front_page[$key] = $row['content'] ;
	}
}

$query = "SELECT content, module, UNIX_TIMESTAMP(lastupdate), count FROM $table_pages WHERE id = '".$page."'";
$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
$content = mysqli_result($result,0,0);
$module = mysqli_result($result,0,1);
$date = mysqli_result($result,0,2);
$count = mysqli_result($result,0,3);
unset($query);
unset($result);

print "<div id=\"wrapper\">
	
	<div id=\"header\">
		<div id=\"logowrap\">";
		
		print $front_page[900];	//logo

print "</div>";	
		
if(($sas_config['template_menu_mainpage'] == 1) OR ($page != 4))
{		
	if($sas_config['template_3d'] == 1)	//3d effect header & footer
	{
		print "<div id=\"navhead\" style=\"background-image: url($resource_path/header_3d.png); height: 70px;\">
			<div id=\"menu\" style=\"margin: 5px 0 0 12px;\">";
	}
	else
	{
		print "<div id=\"navhead\" style=\"background-image: url($resource_path/header.png); height: 60px;\">
			<div id=\"menu\" style=\"margin: 15px 0 0 12px;\">";
	}
			
		create_popup_menu();
		
	print "</div>
			</div>";
}

if(($page == $frontpage) AND ($section == $sas_config['startsection']) AND ($sas_config['slider_active'] == 1))
{
	show_slider();
}
if(($page == $frontpage) AND ($section == $sas_config['startsection']) AND ($sas_config['slider_active'] == 0))
{
	//show headerpage if it exists , get the page with slideshow
	if($sas_config['template_3d'] == 1)	//3d effect header footer
	{
		print "<div id=\"lowerheader\" style=\"background-image: url($resource_path/bg_middle_home_3d.png);\">";
	}
	else
	{
		print "<div id=\"lowerheader\">";
	}
	print "<div style=\"margin-left: 30px;\">";
	print $front_page[904];		//subheader
	print "</div>
			</div>";
}
?>
	</div>
		
	<div id="mainwrap">
<?php

if(($page == $frontpage) AND ($section == $sas_config['startsection']) and ($sas_config['template_3d'] == 1))
{
	print "<div id=\"breadcrum\" style=\"background-image: url($resource_path/bg_middle_home_3d.png);\">";
}
elseif(($page == $frontpage) AND ($section == $sas_config['startsection']))
{
	print "<div id=\"breadcrum\" style=\"background-image: url($resource_path/bg_middle_home.png);\">";
}
elseif($sas_config['template_3d'] == 1)
{
	print "<div id=\"breadcrum\" style=\"background-image: url($resource_path/bg_middle_3d.png);\">";
}
else
{
	show_header();
	
	print "<div id=\"breadcrum\" style=\"background-image: url($resource_path/bg_middle.png);\">";
}
show_dasboard_return($public_page_id[4]);
show_logout(0);
print "&nbsp;</div>";

if(($page == $frontpage) AND ($section == $sas_config['startsection']) and ($sas_config['template_3d'] == 1))
{
	print "<div id=\"contentwrapper\" style=\"background-image: url($resource_path/bg_middle_home_3d.png);\">";
}
elseif(($page == $frontpage) AND ($section == $sas_config['startsection']))
{
	print "<div id=\"contentwrapper\" style=\"background-image: url($resource_path/bg_middle_home.png);\">";
}
elseif($sas_config['template_3d'] == 1)
{
	print "<div id=\"contentwrapper\" style=\"background-image: url($resource_path/bg_middle_3d.png);\">";
}
else
{
	print "<div id=\"contentwrapper\" style=\"background-image: url($resource_path/bg_middle.png);\">";
}	
	
if(($page == $frontpage) AND ($section == $sas_config['startsection']))
{
	print "<div id=\"kolom_links\">\n";
	
			show_front_column_module(1);

	print "</div>
		
			<div id=\"kolom_midden\">\n";
			
			show_front_column_module(2);
				
	print "</div>
		
			<div id=\"kolom_rechts\">\n";
		
			show_front_column_module(3);
	
	print "</div>";
		
}
else
{
	
	if($module != '')
	{	
		print "<div id=\"content\" contenteditable=\"false\">";
		
		include($cmsdir."/modules/".$module);
	}
	else
	{
		if((isset($_SESSION['userid'])) AND ($module == "") AND ($_SESSION['userid'] != 0)) //is  a user logged in and do we have a normal page?
		{
			print "<input type=\"hidden\" name=\"page_id\" id=\"current_page_id\" value=\"$page\" />
					<div id=\"content\" contenteditable=\"true\">";
		}
		else
		{
			print "<div id=\"content\" contenteditable=\"false\">";
		}
			print $content;
		
	}
	print "</div>";
}
if(($page == $frontpage) AND ($section == $sas_config['startsection']))
{
	if($front_page[905] != "")
	{
		print "<div id=\"above_footer\">".$front_page[905] ."
			</div>";
	}
}
?>	
		</div>
		
	</div>
<?php
	if($sas_config['template_3d'] == 1)	//3d effect header footer
	{
		print "<div id=\"footer\" style=\"background-image: url($resource_path/footer_3d.png);\">
			<div id=\"footerwrapper\" style=\"width: 984px; height: 43px; margin: 17px 0 0 0;\">";
	}
	else
	{
		print "<div id=\"footer\" style=\"background-image: url($resource_path/footer.png);\">
			<div id=\"footerwrapper\" style=\"width: 961px; height: 49px; margin: 0 0 0 12px;\">";
	}
?>	
			
				<p id="copyright"><?php echo $sas_config['template_footer_address'] ?></p>
			</div>
		</div>
	
</div>

<?php
if ($sas_config['template_show_leftright'] == "1")
{
	print "<script type=\"text/javascript\" src=\"starnet/interface/jquery/jquery.pageslide2.min.js\"></script>";
}
?>
<script type="text/javascript">
if( window.innerWidth < 1139) 
{
	$(".btn-pageslide").css('display', 'none');
	$(".btn-pageslide2").css('display', 'none');
}
 $(window).resize(function(){
if( window.innerWidth < 1139) 
{
	$(".btn-pageslide").css('display', 'none');
	$(".btn-pageslide2").css('display', 'none');
}
else
{
	$(".btn-pageslide").css('display', 'block');
	$(".btn-pageslide2").css('display', 'block');
}  
});
</script>	
</body>
</html>