/**
 * The youtube dialog definition.
 *
 * Created out of the CKEditor Plugin SDK:
 * http://docs.ckeditor.com/#!/guide/plugin_sdk_sample_1
 */

// Our dialog definition.
CKEDITOR.dialog.add( 'synlinkDialog', function( editor ) {
	return {
		
		// Basic properties of the dialog window: title, minimum size.
		title: 'Interne syndeo link invoegen',
		minWidth: 400,
		minHeight: 400,

		// Dialog window contents definition.
		contents: [
			{
				// Definition of the Basic Settings dialog tab (page).
				id: 'tab-basic',
				label: 'Basic Settings',

				// The tab contents.
				elements: [
					{
						type : 'html',
						id : 'intro',
						html : '<iframe src="editors/ckeditor/plugins/syn_link/syn_link.php?editor_name=' + editor.name + '" frameborder="0" name="iframeMediaEmbed" id="iframeMediaEmbed" allowtransparency="1" style="width:100%;height:340px;margin:0;padding:0;"></iframe>'
					}
				]
			}
		]
	};
});