<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.8.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* News module : 
* frontpage_cat.php: last changed 13/04/2009 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
load_language($cmsdir . '/', 'sn_news'); //load language file

//news tables definitions
$table_news_articles = $dbprefix . "m_news_articles";
$table_news_category = $dbprefix . "m_news_cat";

$modoption = "news";	//default choice for switch
if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 25, 'A');
}

$date_format = $sas_config['dateformat'];

$result = mysqli_query($db,"SELECT id, header, number_of_days, show_archive FROM $table_news_category WHERE title = '".$pagetitle."' LIMIT 1");
$RecordCount = mysqli_num_rows($result);

if ($RecordCount > 0)
{
	$cat_id = mysqli_result($result, 0, 'id');
	$welcometext = mysqli_result($result, 0, 'header');
	$number_of_days = mysqli_result($result, 0, 'number_of_days');
	$show_archive = mysqli_result($result, 0, 'show_archive');
	unset ($query);
	unset ($result);
	
	if($number_of_days != 0) //if zero no auto archiving
	{
		//we need to move articles older than current date - number_of_days to archive
		mysqli_query($db,"UPDATE $table_news_articles SET archive = 1 WHERE todate < current_date()");
	}
	if ($_SESSION['site'] == "protected") //are we on protected area
	{
		$public = 1 ;
	}
	else
	{
		$public = 0 ;
	}
	
	$archive_link = "";
	
	switch ($modoption) // start of switch
	{
		case "news" :
			
			if($show_archive == 1)
			{
				//create an archive link .
				$archive_link = "<input type=\"button\" value=\"" . $sas_lang['news_module_archive'] . "\" onclick=\"javascript:parent.location='index.php?page=$page&amp;section=$section&modoption=archive'\"/>";
				$archive = 0 ; //show news articles
			}
		
		break;
		
		case "archive" :
		
			if($show_archive == 1)
			{
				//create a link back to the news.
				$archive_link = "<input type=\"button\" value=\"" . $sas_lang['news_module_headlines'] . "\" onclick=\"javascript:parent.location='index.php?page=$page&amp;section=$section&modoption=news'\"/>";
				$archive = 1 ;	//show archive entries
			}
						
		break;
			
	}	
	
	print "<a name=\"top\"></a>";
	print "<table class=\"sas_module_table\"><tr><td align=\"right\">$archive_link</td></tr>
			<tr><td><span class=\"sas_module_title\">" . $welcometext . "</span></td></tr>\n";

	$query = "SELECT id, title, date_format(date, '$date_format') AS Readable_Date, category, content 
					FROM $table_news_articles WHERE date <= current_date() AND archive = '$archive' AND public = '$public' AND category = $cat_id ORDER BY date DESC";
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
	
	while ($article_list = mysqli_fetch_array($result))
	{
		print "<tr><td colspan=\"2\"><img src=\"" . $cmsdir . "/modules/sn_news/templates/" . $sas_config['news_template'] . "/arrow.gif\" border=\"0\" width=\"8\" height=\"8\" alt=\"arrow\"/>
				&nbsp;<a href=\"#$article_list[0]\" class=\"sas_module_link\">$article_list[1]</a></td></tr>";
	}

	print "<tr><td colspan=\"2\">&nbsp;</td></tr>";
	$query = "SELECT id, title, date_format(date, '$date_format') AS Readable_Date, category, content 
					FROM $table_news_articles WHERE date <= current_date() AND archive = '$archive' AND public = '$public' AND category = '".$cat_id."' ORDER BY date DESC";
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	
	while ($article_list = mysqli_fetch_array($result))
	{
		print "<tr><td colspan=\"2\"><a name=\"$article_list[0]\"></a>
			  <span class=\"sas_module_lbl1\">$article_list[1]</span> &nbsp;  
			  <span class=\"sas_module_lbl2\">$article_list[2]</span><br/>\n
			  <span class=\"sas_module_text\">$article_list[4]</span></td></tr>\n";;
		
		print "<tr><td colspan=\"2\" align=\"right\"><a href=\"#top\" class=\"sas_module_link\">Top</a></td></tr>";
		print "<tr><td colspan=\"2\"><hr></td></tr><tr><td colspan=\"2\">&nbsp;</td></tr>";
	}
	
	print "</table><br/>";
}
else
{
	print $sas_lang['news_module_category_not_exists'];
}
?>