<?php
/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.5.03  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Portal module : 
*  sn_calendar_portal.php: last changed 10/10/2007  by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

$table_calendar_events = $dbprefix."m_calendar_events";
$table_calendar_cat = $dbprefix."m_calendars";

$current_month = date('n') ;
$current_year = date('Y');


$query3 = "SELECT description, month, year, p.id, p.section FROM $table_calendar_events e 
			left join $table_calendar_cat c ON e.calendar = c.id
			left join $table_pages p ON p.name = c.name WHERE module = 'sn_calendar/calendar.php' AND p.hidden != 'yes'
			AND e.month >= '$current_month' AND e.year >= '$current_year' AND e.description != '&nbsp;' LIMIT 0,$items";
			
$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);
$RecordCount = mysqli_num_rows($result3);

$count = 0 ;
if ($RecordCount > 0)
{

	print "\n<table cellpadding=\"0\" cellspacing=\"2\">\n
			<tr><td colspan=\"3\"><span class=\"sas_module_subtitle\">" . $description . "</span></td></tr>\n
			<tr><td width=\"100\"><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_date']."</span></td>
			<td>&nbsp;</td>
			<td><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_description']."</span></td></tr>\n";
			
	while ($cal_list = mysqli_fetch_array($result3))
	{	
		$link = "index.php?page=$cal_list[3]&amp;section=$cal_list[4]&amp;month=$cal_list[1]&amp;year=$cal_list[2]";
		$arr_details = explode("\n", $cal_list[0]);

		for ($j = 0; $j < count($arr_details); $j++)
		{
			$entry = explode("_", $arr_details[$j]);
			$descr = substr(strip_tags($entry[1]),0,45) ;
			$day = $entry[0] ;
			$day = str_replace("-", "/", $day) ; //replace eg. 12-14 with 12/14
			
			if ((intval($day) > 0) AND (intval($day) < 10))
			{
				$day = "0".$day ;
			}
			$month = $cal_list[1] ;
			
			if ((intval($month) > 0) AND (intval($month) < 10))
			{
				$month = "0".$month ;
			}
			
			$count++ ;
		
		
			print "<tr><td valign=\"top\"><span class=\"sas_module_text\">$day-$month-$cal_list[2]</span></td>
					<td>&nbsp;</td>
					<td><span class=\"sas_module_text\">$descr, </span><span class=\"sas_module_link\">
					<a href=\"$link\" target=\"$target\">".$sas_lang['portal_module_read_more']."</a></span></td>
					</tr>\n";
				
			if ($count == $items)
			{
				break;
			}
		}
		
		if ($count == $items)
		{
			break;
		}
	}
	print "</table>\n";
}
?>